Get a staff member Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/client/{client_uuid}/staff-members/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • client_uuid string Required

    uuid The UUID of the business client.

  • uuid integer Required
  • id string Required

    uuid The UUID of the client that is a staff member.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • hired_at string

      Date (y-m-d) of when the staff member was hired.

    • left_at string

      Date (y-m-d) of when the staff member left.

    • job_title string

      The job title of the staff member.

    • basic_annual_salary object

      The basic annual salary of the staff member. Must be in pennies, for example: £50,000 would be 5000000.

      Hide basic_annual_salary attributes Show basic_annual_salary attributes object
      • amount integer
      • currency string
      • formatted string
    • payroll_number string

      The payroll number of the staff member.

    • account object

      Client account in Plannr.

      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
GET /api/v1/client/{client_uuid}/staff-members/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/staff-members/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "uuid": "220391ab-299d-4381-a4d2-6da8d31b1e60",
  "created_at": "2026-06-08T16:08:02+01:00",
  "updated_at": "2026-06-08T16:08:02+01:00",
  "hired_at": "2018-01-15T00:00:00+00:00",
  "left_at": "2025-01-15T00:00:00+00:00",
  "job_title": "Chief Coffee Maker",
  "basic_annual_salary": {
    "amount": 5000000,
    "currency": "GBP",
    "formatted": "£50,000.00"
  },
  "payroll_number": "#12345",
  "account": {
    "uuid": "5009f811-9838-445b-b1ce-4553e5fa7ec9",
    "created_at": "2026-06-08T16:08:02+01:00",
    "updated_at": "2026-06-08T16:08:02+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:02+01:00",
    "next_review_date": "2026-06-08T16:08:02+01:00",
    "previous_review_date": "2026-06-08T16:08:02+01:00",
    "anniversary_review_date": "2026-06-08T16:08:02+01:00",
    "terms_of_business_at": "2026-06-08T16:08:02+01:00",
    "client_agreement_at": "2026-06-08T16:08:02+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:02",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}